Create regular loan

API endpoint to create a regular loan.

Body Params

Create loan request

Create and settle a new loan.
The loan will be in active state after completion of this command

double
required

The principal amount of the loan.

int32
required

The internal template id.

borrowers
array of objects
required

The list of borrowers of the loan. The first borrower in the list will be considered as the primary borrower.

borrowers*
lender
object
required

Model for the Person/Company entity relation.

date
required

The issue date of the loan.

date
required

The date when the loan amount is paid to the borrower.

paymentProperties
object
required

A payment properties item

interestPaymentProperties
object
required

A payment interest item

double | null

The applicable interest spread for the loan. This spread can be greater than, less than, or equal to zero.

string | null

A comment (text) can be entered.

string | null

A reference can be entered.

disbursementCosts
array of objects | null

A list of all costs that should be added to disbursement

disbursementCosts
nominatedAccount
object

Nominated Account

customFields
array of objects | null

Custom fields for the regular loan.

customFields
followUp
object

Model for loan follow-up details.

Headers
string
uuid
required

Format - uuid. Correlates HTTP requests between a client and server

Responses
202

Accepted

500

Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json